## mlt 7.34.1

=== src/framework/CMakeLists.txt ===
set(MLT_PUBLIC_HEADERS
  mlt.h
  mlt_animation.h
  mlt_audio.h
  mlt_cache.h
  mlt_chain.h
  mlt_consumer.h
  mlt_deque.h
  mlt_events.h
  mlt_factory.h
  mlt_field.h
  mlt_filter.h
  mlt_frame.h
  mlt_image.h
  mlt_link.h
  mlt_log.h
  mlt_luma_map.h
  mlt_multitrack.h
  mlt_parser.h
  mlt_playlist.h
  mlt_pool.h
  mlt_producer.h
  mlt_profile.h
  mlt_properties.h
  mlt_property.h
  mlt_repository.h
  mlt_service.h
  mlt_slices.h
  mlt_tokeniser.h
  mlt_tractor.h
  mlt_transition.h
  mlt_types.h
  mlt_version.h
)

add_library(mlt SHARED
  mlt_animation.c
  mlt_audio.c
  mlt_cache.c
  mlt_chain.c
  mlt_consumer.c
  mlt_deque.c
  mlt_events.c
  mlt_factory.c
  mlt_field.c
  mlt_filter.c
  mlt_frame.c
  mlt_image.c
  mlt_link.c
  mlt_log.c
  mlt_luma_map.c
  mlt_multitrack.c
  mlt_parser.c
  mlt_playlist.c
  mlt_pool.c
  mlt_producer.c
  mlt_profile.c
  mlt_properties.c
  mlt_property.c
  mlt_repository.c
  mlt_service.c
  mlt_slices.c
  mlt_tokeniser.c
  mlt_tractor.c
  mlt_transition.c
  mlt_types.c
  mlt_version.c
)

add_custom_target("Other_mlt_Files" SOURCES
  chain_normalizers.ini
  metaschema.yaml
  mlt-framework.pc.in
  mlt.vers
)

add_library(Mlt${MLT_VERSION_MAJOR}::mlt ALIAS mlt)


include(GenerateExportHeader)
generate_export_header(mlt)

target_sources(mlt PRIVATE ${MLT_PUBLIC_HEADERS})

target_compile_options(mlt PRIVATE ${MLT_COMPILE_OPTIONS})

target_link_libraries(mlt PRIVATE Threads::Threads ${CMAKE_DL_LIBS})

if(MSVC)
  target_link_libraries(mlt PRIVATE msvccompat PThreads4W::PThreads4W)
else()
  target_link_libraries(mlt PRIVATE m)
endif()

target_include_directories(mlt PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/..>
  $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>
  $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}/mlt-${MLT_VERSION_MAJOR}>
)

set_target_properties(mlt PROPERTIES
  VERSION ${MLT_VERSION}
  SOVERSION ${MLT_VERSION_MAJOR}
  OUTPUT_NAME mlt-${MLT_VERSION_MAJOR}
  PUBLIC_HEADER "${MLT_PUBLIC_HEADERS}"
)

if(WIN32)
  if(MINGW)
    target_link_libraries(mlt PRIVATE ${MLT_PTHREAD_LIBS})
    target_link_options(mlt PRIVATE -Wl,--output-def,${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/libmlt-${MLT_VERSION_MAJOR}.def)
    install(FILES "${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/libmlt-${MLT_VERSION_MAJOR}.def" DESTINATION ${CMAKE_INSTALL_LIBDIR})
  endif()
  target_sources(mlt PRIVATE ../win32/win32.c ../win32/strptime.c)
  target_link_libraries(mlt PRIVATE Iconv::Iconv)
  if(NOT WINDOWS_DEPLOY)
    target_compile_definitions(mlt PRIVATE NODEPLOY)
  endif()
endif()

if(NOT (WIN32 OR RELOCATABLE))
  if(APPLE)
    target_compile_definitions(mlt PRIVATE PREFIX_DATA="${CMAKE_INSTALL_FULL_DATADIR}/mlt" PREFIX_LIB="${CMAKE_INSTALL_FULL_LIBDIR}/mlt")
  else()
    target_compile_definitions(mlt PRIVATE PREFIX_DATA="${CMAKE_INSTALL_FULL_DATADIR}/mlt-${MLT_VERSION_MAJOR}" PREFIX_LIB="${CMAKE_INSTALL_FULL_LIBDIR}/mlt-${MLT_VERSION_MAJOR}")
    target_link_options(mlt PRIVATE -Wl,--version-script=${CMAKE_CURRENT_SOURCE_DIR}/mlt.vers)
    set_target_properties(mlt PROPERTIES LINK_DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/mlt.vers)
  endif()
elseif(RELOCATABLE)
  target_compile_definitions(mlt PRIVATE RELOCATABLE)
endif()

install(TARGETS mlt
  EXPORT MltTargets
  RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
  LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
  ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
  PUBLIC_HEADER DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/mlt-${MLT_VERSION_MAJOR}/framework
)

# Install the generated export header
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/mlt_export.h 
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/mlt-${MLT_VERSION_MAJOR}/framework
)

install(FILES metaschema.yaml chain_normalizers.ini DESTINATION ${MLT_INSTALL_DATA_DIR})

configure_file(mlt-framework.pc.in mlt-framework-${MLT_VERSION_MAJOR}.pc @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/mlt-framework-${MLT_VERSION_MAJOR}.pc
  DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig
  COMPONENT Development
)

=== src/mlt++/CMakeLists.txt ===
set(MLTPP_PUBLIC_HEADERS
  Mlt.h
  MltAnimation.h
  MltAudio.h
  MltChain.h
  MltConfig.h
  MltConsumer.h
  MltDeque.h
  MltEvent.h
  MltFactory.h
  MltField.h
  MltFilter.h
  MltFilteredConsumer.h
  MltFilteredProducer.h
  MltFrame.h
  MltImage.h
  MltLink.h
  MltMultitrack.h
  MltParser.h
  MltPlaylist.h
  MltProducer.h
  MltProfile.h
  MltProperties.h
  MltPushConsumer.h
  MltRepository.h
  MltService.h
  MltTokeniser.h
  MltTractor.h
  MltTransition.h
)

add_library(mlt++ SHARED
  MltAnimation.cpp
  MltAudio.cpp
  MltChain.cpp
  MltConsumer.cpp
  MltDeque.cpp
  MltEvent.cpp
  MltFactory.cpp
  MltField.cpp
  MltFilter.cpp
  MltFilteredConsumer.cpp
  MltFilteredProducer.cpp
  MltFrame.cpp
  MltImage.cpp
  MltLink.cpp
  MltMultitrack.cpp
  MltParser.cpp
  MltPlaylist.cpp
  MltProducer.cpp
  MltProfile.cpp
  MltProperties.cpp
  MltPushConsumer.cpp
  MltRepository.cpp
  MltService.cpp
  MltTokeniser.cpp
  MltTractor.cpp
  MltTransition.cpp
)

add_custom_target("Other_mlt++_Files" SOURCES
  mlt++.pc.in
  mlt++.vers
)

add_library(Mlt${MLT_VERSION_MAJOR}::mlt++ ALIAS mlt++)

target_sources(mlt++ PRIVATE ${MLTPP_PUBLIC_HEADERS})

target_compile_options(mlt++ PRIVATE ${MLT_COMPILE_OPTIONS})

target_link_libraries(mlt++ PUBLIC mlt)

if(MSVC)
  target_link_libraries(mlt++ PRIVATE PThreads4W::PThreads4W)
endif()

target_include_directories(mlt++ PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
  $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}/mlt-${MLT_VERSION_MAJOR}/mlt++>
)

set_target_properties(mlt++ PROPERTIES
  VERSION ${MLT_VERSION}
  SOVERSION ${MLT_VERSION_MAJOR}
  OUTPUT_NAME mlt++-${MLT_VERSION_MAJOR}
  PUBLIC_HEADER "${MLTPP_PUBLIC_HEADERS}"
)

if(WIN32)
  if(MINGW)
    target_link_options(mlt++ PRIVATE -Wl,--output-def,${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/libmlt++-${MLT_VERSION_MAJOR}.def)
    install(FILES "${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/libmlt++-${MLT_VERSION_MAJOR}.def" DESTINATION ${CMAKE_INSTALL_LIBDIR})
  endif()
  target_compile_definitions(mlt++ PRIVATE MLTPP_EXPORTS)
endif()

if(NOT (WIN32 OR APPLE))
  target_link_options(mlt++ PRIVATE -Wl,--version-script=${CMAKE_CURRENT_SOURCE_DIR}/mlt++.vers)
  set_target_properties(mlt++ PROPERTIES LINK_DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/mlt++.vers)
endif()

install(TARGETS mlt++
  EXPORT MltTargets
  RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
  LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
  ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
  PUBLIC_HEADER DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/mlt-${MLT_VERSION_MAJOR}/mlt++
)

configure_file(mlt++.pc.in mlt++-${MLT_VERSION_MAJOR}.pc @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/mlt++-${MLT_VERSION_MAJOR}.pc
  DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig
  COMPONENT Development
)

=== src/swig/CMakeLists.txt ===
include(UseSWIG)

if(SWIG_CSHARP AND CSHARP_MONO_FOUND)
  add_subdirectory(csharp)
endif()

if(SWIG_JAVA AND JNI_FOUND)
  add_subdirectory(java)
endif()

if(SWIG_LUA AND LUA_FOUND)
  add_subdirectory(lua)
endif()

if(SWIG_NODEJS AND NODEJS_INCLUDE_DIRS)
  add_subdirectory(nodejs)
endif()

if(SWIG_PERL AND PERLLIBS_FOUND)
  add_subdirectory(perl)
endif()

if(SWIG_PHP AND PHP_FOUND)
  add_subdirectory(php)
endif()

if(SWIG_PYTHON AND Python3_FOUND)
  add_subdirectory(python)
endif()

if(SWIG_RUBY AND RUBY_FOUND)
  add_subdirectory(ruby)
endif()

if(SWIG_TCL AND TCL_FOUND)
  add_subdirectory(tcl)
endif()

=== src/modules/avformat/CMakeLists.txt ===
add_library(mltavformat MODULE
  common.c common.h
  factory.c
  filter_avcolour_space.c
  filter_avdeinterlace.c
  filter_swscale.c
  # avformat
  producer_avformat.c
  consumer_avformat.c
  # avfilter
  filter_avfilter.c
  link_avdeinterlace.c
  link_avfilter.c
  # swresample
  common_swr.c
  common_swr.h
  filter_swresample.c
  link_swresample.c
)

file(GLOB YML "*.yml")
add_custom_target(Other_avformat_Files SOURCES
  ${YML}
  blacklist.txt
  yuv_only.txt
)

include(GenerateExportHeader)
generate_export_header(mltavformat)
target_compile_options(mltavformat PRIVATE ${MLT_COMPILE_OPTIONS})

target_include_directories(mltavformat SYSTEM PRIVATE ${FFMPEG_INCLUDE_DIRS})
target_include_directories(mltavformat PRIVATE ${CMAKE_CURRENT_BINARY_DIR})
target_link_libraries(mltavformat PRIVATE
  mlt
  Threads::Threads
  ${FFMPEG_LIBRARIES}
)

if(MSVC)
  target_link_libraries(mltavformat PRIVATE PThreads4W::PThreads4W)
else()
   target_link_libraries(mltavformat PRIVATE m)
endif()

if(WIN32)
  target_compile_definitions(mltavformat PRIVATE AVDATADIR="share/ffmpeg/")
  if(MINGW)
    target_link_libraries(mltavformat PRIVATE ${MLT_PTHREAD_LIBS})
  endif()
endif()

if(CPU_MMX)
  target_compile_definitions(mltavformat PRIVATE USE_MMX)
endif()

set_target_properties(mltavformat PROPERTIES LIBRARY_OUTPUT_DIRECTORY "${MLT_MODULE_OUTPUT_DIRECTORY}")

install(TARGETS mltavformat LIBRARY DESTINATION ${MLT_INSTALL_MODULE_DIR})

install(FILES
  consumer_avformat.yml
  filter_avcolour_space.yml
  filter_avdeinterlace.yml
  filter_swresample.yml
  filter_swscale.yml
  link_avdeinterlace.yml
  link_swresample.yml
  producer_avformat.yml
  resolution_scale.yml
  blacklist.txt
  yuv_only.txt
  DESTINATION ${MLT_INSTALL_DATA_DIR}/avformat
)

=== src/modules/gdk/CMakeLists.txt ===
add_library(mltgdk MODULE
  factory.c
  filter_rescale.c
  pixops.c
  producer_pixbuf.c
)

file(GLOB YML "*.yml")
add_custom_target(Other_gdk_Files SOURCES
  ${YML}
)

include(GenerateExportHeader)
generate_export_header(mltgdk)
target_compile_options(mltgdk PRIVATE ${MLT_COMPILE_OPTIONS})
target_include_directories(mltgdk PRIVATE ${CMAKE_CURRENT_BINARY_DIR})

target_link_libraries(mltgdk PRIVATE mlt Threads::Threads PkgConfig::GdkPixbuf)
if(NOT MSVC)
  target_link_libraries(mltgdk PRIVATE m)
endif()

target_compile_definitions(mltgdk PRIVATE USE_PIXBUF)

if(TARGET PkgConfig::libexif)
  target_link_libraries(mltgdk PRIVATE PkgConfig::libexif)
  target_compile_definitions(mltgdk PRIVATE USE_EXIF)
endif()

if(TARGET PkgConfig::pango AND TARGET PkgConfig::fontconfig)
  target_sources(mltgdk PRIVATE producer_pango.c)
  target_link_libraries(mltgdk PRIVATE PkgConfig::pango PkgConfig::fontconfig PkgConfig::pangoft2)
  if(APPLE OR MINGW)
    target_link_libraries(mltgdk PRIVATE iconv)
  endif()
  target_compile_definitions(mltgdk PRIVATE USE_PANGO)
  install(FILES producer_pango.yml DESTINATION ${MLT_INSTALL_DATA_DIR}/gdk)
endif()

if(CPU_MMX)
  target_sources(mltgdk PRIVATE have_mmx.S scale_line_22_yuv_mmx.S)
  target_compile_definitions(mltgdk PRIVATE USE_MMX)
endif()

if(CPU_X86_64)
  target_compile_definitions(mltgdk PRIVATE ARCH_X86_64)
endif()

set_target_properties(mltgdk PROPERTIES LIBRARY_OUTPUT_DIRECTORY "${MLT_MODULE_OUTPUT_DIRECTORY}")

install(TARGETS mltgdk LIBRARY DESTINATION ${MLT_INSTALL_MODULE_DIR})

install(FILES filter_rescale.yml producer_pixbuf.yml DESTINATION ${MLT_INSTALL_DATA_DIR}/gdk)

=== src/modules/glaxnimate/CMakeLists.txt ===
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CORE_DIR glaxnimate/src/core/)
set(APP_DIR glaxnimate/external/QtAppSetup/src/)

set(GLAX_SOURCES

  ${APP_DIR}app/application.cpp
  ${APP_DIR}app/settings/settings_group.cpp
  ${APP_DIR}app/settings/settings.cpp
  ${APP_DIR}app/settings/palette_settings.cpp
  ${APP_DIR}app/settings/keyboard_shortcuts.cpp
  ${APP_DIR}app/settings/keyboard_shortcuts_model.cpp
  ${APP_DIR}app/translation_service.cpp
  ${APP_DIR}app/scripting/script_engine.cpp
  ${APP_DIR}app/widgets/settings_dialog.cpp
  ${APP_DIR}app/widgets/settings_dialog.ui
  ${APP_DIR}app/widgets/widget_palette_editor.cpp
  ${APP_DIR}app/widgets/widget_palette_editor.ui
  ${APP_DIR}app/widgets/clearable_keysequence_edit.cpp
  ${APP_DIR}app/widgets/clearable_keysequence_edit.ui
  ${APP_DIR}app/widgets/keyboard_settings_widget.cpp
  ${APP_DIR}app/widgets/keyboard_settings_widget.ui
  ${APP_DIR}app/log/logger.cpp
  ${APP_DIR}app/log/log_model.cpp
  ${APP_DIR}app/cli.cpp

  ${CORE_DIR}app_info.cpp

  ${CORE_DIR}command/structure_commands.cpp
  ${CORE_DIR}command/shape_commands.cpp
  ${CORE_DIR}command/animation_commands.cpp

  ${CORE_DIR}io/base.cpp
  ${CORE_DIR}io/binary_stream.cpp
  ${CORE_DIR}io/utils.cpp
  ${CORE_DIR}io/glaxnimate/glaxnimate_format.cpp
  ${CORE_DIR}io/glaxnimate/glaxnimate_importer.cpp
  ${CORE_DIR}io/glaxnimate/glaxnimate_mime.cpp
  ${CORE_DIR}io/lottie/cbor_write_json.cpp
  ${CORE_DIR}io/lottie/lottie_format.cpp
  ${CORE_DIR}io/lottie/lottie_html_format.cpp
  ${CORE_DIR}io/lottie/tgs_format.cpp
  ${CORE_DIR}io/lottie/validation.cpp
  ${CORE_DIR}io/mime/mime_serializer.cpp
  ${CORE_DIR}io/raster/raster_format.cpp
  ${CORE_DIR}io/raster/spritesheet_format.cpp
  ${CORE_DIR}io/rive/rive_format.cpp
  ${CORE_DIR}io/rive/rive_html_format.cpp
  ${CORE_DIR}io/rive/rive_loader.cpp
  ${CORE_DIR}io/rive/rive_serializer.cpp
  ${CORE_DIR}io/rive/type_def.cpp
  ${CORE_DIR}io/rive/type_system.cpp
  ${CORE_DIR}io/svg/detail.cpp
  ${CORE_DIR}io/svg/svg_format.cpp
  ${CORE_DIR}io/svg/svg_parser.cpp
  ${CORE_DIR}io/svg/svg_renderer.cpp
  ${CORE_DIR}io/avd/avd_parser.cpp
  ${CORE_DIR}io/avd/avd_format.cpp
  ${CORE_DIR}io/avd/avd_renderer.cpp
  ${CORE_DIR}io/aep/aep_format.cpp
  ${CORE_DIR}io/aep/aep_loader.cpp
  ${CORE_DIR}io/aep/string_decoder.cpp
  ${CORE_DIR}io/aep/gradient_xml.cpp

  ${CORE_DIR}math/geom.cpp
  ${CORE_DIR}math/polynomial.cpp
  ${CORE_DIR}math/ellipse_solver.cpp
  ${CORE_DIR}math/bezier/bezier.cpp
  ${CORE_DIR}math/bezier/point.cpp
  ${CORE_DIR}math/bezier/operations.cpp
  ${CORE_DIR}math/bezier/cubic_struts.cpp
  ${CORE_DIR}math/bezier/meta.cpp
  ${CORE_DIR}math/bezier/bezier_length.cpp

  ${CORE_DIR}model/document.cpp
  ${CORE_DIR}model/document_node.cpp
  ${CORE_DIR}model/object.cpp
  ${CORE_DIR}model/transform.cpp
  ${CORE_DIR}model/factory.cpp
  ${CORE_DIR}model/animation_container.cpp
  ${CORE_DIR}model/stretchable_time.cpp
  ${CORE_DIR}model/comp_graph.cpp
  ${CORE_DIR}model/mask_settings.cpp
  ${CORE_DIR}model/visitor.cpp
  ${CORE_DIR}model/custom_font.cpp

  ${CORE_DIR}model/animation/keyframe_transition.cpp
  ${CORE_DIR}model/animation/animatable.cpp
  ${CORE_DIR}model/animation/animatable_path.cpp
  ${CORE_DIR}model/property/property.cpp
  ${CORE_DIR}model/property/reference_property.cpp
  ${CORE_DIR}model/property/option_list_property.cpp

  ${CORE_DIR}model/assets/assets.cpp
  ${CORE_DIR}model/assets/brush_style.cpp
  ${CORE_DIR}model/assets/named_color.cpp
  ${CORE_DIR}model/assets/bitmap.cpp
  ${CORE_DIR}model/assets/gradient.cpp
  ${CORE_DIR}model/assets/asset_base.cpp
  ${CORE_DIR}model/assets/asset.cpp
  ${CORE_DIR}model/assets/composition.cpp
  ${CORE_DIR}model/assets/embedded_font.cpp
  ${CORE_DIR}model/assets/network_downloader.cpp

  ${CORE_DIR}model/shapes/shape.cpp
  ${CORE_DIR}model/shapes/fill.cpp
  ${CORE_DIR}model/shapes/rect.cpp
  ${CORE_DIR}model/shapes/group.cpp
  ${CORE_DIR}model/shapes/ellipse.cpp
  ${CORE_DIR}model/shapes/path.cpp
  ${CORE_DIR}model/shapes/stroke.cpp
  ${CORE_DIR}model/shapes/polystar.cpp
  ${CORE_DIR}model/shapes/styler.cpp
  ${CORE_DIR}model/shapes/layer.cpp
  ${CORE_DIR}model/shapes/image.cpp
  ${CORE_DIR}model/shapes/precomp_layer.cpp
  ${CORE_DIR}model/shapes/text.cpp
  ${CORE_DIR}model/shapes/repeater.cpp
  ${CORE_DIR}model/shapes/trim.cpp
  ${CORE_DIR}model/shapes/inflate_deflate.cpp
  ${CORE_DIR}model/shapes/path_modifier.cpp
  ${CORE_DIR}model/shapes/round_corners.cpp
  ${CORE_DIR}model/shapes/offset_path.cpp
  ${CORE_DIR}model/shapes/zig_zag.cpp

  ${CORE_DIR}plugin/plugin.cpp
  ${CORE_DIR}plugin/action.cpp
  ${CORE_DIR}plugin/io.cpp

  ${CORE_DIR}utils/gzip.cpp
)

file(GLOB YML "*.yml")
add_custom_target(Other_glaxnimate_Files SOURCES
  ${YML}
)
include(GenerateExportHeader)
function(mlt_add_glaxnimate_module ARG_TARGET)
    cmake_parse_arguments(PARSE_ARGV 1 ARG "" "QT_VERSION;DATADIR" "")


    if ("${ARG_TARGET}" STREQUAL "")
        message(FATAL_ERROR "mlt_add_glaxnimate_module called without a valid target name.")
    endif()

    if (NOT (("${ARG_QT_VERSION}" STREQUAL "5") OR ("${ARG_QT_VERSION}" STREQUAL "6")))
        message(FATAL_ERROR "mlt_add_glaxnimate_module called without a valid Qt Version (allowed are 5 or 6).")
    endif()

    if ("${ARG_DATADIR}" STREQUAL "")
        message(FATAL_ERROR "mlt_add_glaxnimate_module called without a valid data dir name.")
    endif()

    configure_file(
      "${CMAKE_CURRENT_SOURCE_DIR}/${CORE_DIR}application_info_generated.in.hpp"
      "${CMAKE_CURRENT_SOURCE_DIR}/${CORE_DIR}application_info_generated.hpp"
    )

    include_directories(${CMAKE_CURRENT_SOURCE_DIR}/${APP_DIR})
    include_directories(${CMAKE_CURRENT_SOURCE_DIR}/${CORE_DIR})
    include_directories(${LibArchive_INCLUDE_DIRS})

    add_library(${ARG_TARGET} MODULE
      producer_glaxnimate.cpp
      ${GLAX_SOURCES}
    )

    string(MAKE_C_IDENTIFIER ${ARG_TARGET} EXPORT_MACRO_PREFIX)
    string(TOUPPER "${EXPORT_MACRO_PREFIX}" EXPORT_MACRO_PREFIX_UPPERCASE)
    generate_export_header(${ARG_TARGET}
        EXPORT_FILE_NAME "${EXPORT_MACRO_PREFIX}_export.h"
        EXPORT_MACRO_NAME "${EXPORT_MACRO_PREFIX_UPPERCASE}_EXPORT"
    )
    target_compile_options(${ARG_TARGET} PRIVATE ${MLT_COMPILE_OPTIONS})
    add_definitions(-DWITHOUT_POTRACE -DWITHOUT_QT_COLOR_WIDGETS)

    find_package(LibArchive REQUIRED)
    find_package(ZLIB REQUIRED)

    set_property(TARGET ${ARG_TARGET} APPEND PROPERTY AUTOMOC_MACRO_NAMES "GLAXNIMATE_OBJECT")

    target_link_libraries(${ARG_TARGET} PRIVATE
      mlt++
      mlt
      m
      Threads::Threads
      Qt${ARG_QT_VERSION}::Core
      Qt${ARG_QT_VERSION}::Gui
      Qt${ARG_QT_VERSION}::Network
      Qt${ARG_QT_VERSION}::Widgets
      Qt${ARG_QT_VERSION}::Xml
      ${LibArchive_LIBRARIES}
      ZLIB::ZLIB
    )
    target_include_directories(${ARG_TARGET} PRIVATE ${CMAKE_CURRENT_BINARY_DIR})
    if(NOT WINDOWS_DEPLOY)
      target_compile_definitions(${ARG_TARGET} PRIVATE NODEPLOY)
    endif()

    set_target_properties(${ARG_TARGET} PROPERTIES LIBRARY_OUTPUT_DIRECTORY "${MLT_MODULE_OUTPUT_DIRECTORY}")

    install(TARGETS ${ARG_TARGET} LIBRARY DESTINATION ${MLT_INSTALL_MODULE_DIR})

    install(FILES
      producer_glaxnimate.yml
      DESTINATION ${MLT_INSTALL_DATA_DIR}/${ARG_DATADIR}
    )
endfunction()

if(MOD_GLAXNIMATE)
    mlt_add_glaxnimate_module(mltglaxnimate QT_VERSION 5 DATADIR glaxnimate)
endif()

if(MOD_GLAXNIMATE_QT6)
    mlt_add_glaxnimate_module(mltglaxnimate-qt6 QT_VERSION 6 DATADIR glaxnimate-qt6)
endif()

=== src/modules/resample/CMakeLists.txt ===
add_library(mltresample MODULE factory.c filter_resample.c link_resample.c)

file(GLOB YML "*.yml")
add_custom_target(Other_resample_Files SOURCES
  ${YML}
)
include(GenerateExportHeader)
generate_export_header(mltresample)
target_compile_options(mltresample PRIVATE ${MLT_COMPILE_OPTIONS})
target_include_directories(mltresample PRIVATE ${CMAKE_CURRENT_BINARY_DIR})
target_link_libraries(mltresample PRIVATE mlt PkgConfig::samplerate)

set_target_properties(mltresample PROPERTIES LIBRARY_OUTPUT_DIRECTORY "${MLT_MODULE_OUTPUT_DIRECTORY}")

install(TARGETS mltresample LIBRARY DESTINATION ${MLT_INSTALL_MODULE_DIR})

install(FILES
  filter_resample.yml
  link_resample.yml
  DESTINATION ${MLT_INSTALL_DATA_DIR}/resample
)

=== src/modules/rubberband/CMakeLists.txt ===
add_library(mltrubberband MODULE factory.c filter_rbpitch.cpp)

file(GLOB YML "*.yml")
add_custom_target(Other_rubberband_Files SOURCES
  ${YML}
)
include(GenerateExportHeader)
generate_export_header(mltrubberband)
target_compile_options(mltrubberband PRIVATE ${MLT_COMPILE_OPTIONS})
target_include_directories(mltrubberband PRIVATE ${CMAKE_CURRENT_BINARY_DIR})
target_link_libraries(mltrubberband PRIVATE mlt PkgConfig::rubberband)

set_target_properties(mltrubberband PROPERTIES LIBRARY_OUTPUT_DIRECTORY "${MLT_MODULE_OUTPUT_DIRECTORY}")

install(TARGETS mltrubberband LIBRARY DESTINATION ${MLT_INSTALL_MODULE_DIR})

install(FILES filter_rbpitch.yml DESTINATION ${MLT_INSTALL_DATA_DIR}/rubberband)

=== src/modules/sdl/CMakeLists.txt ===
add_library(mltsdl MODULE
  consumer_sdl_audio.c
  consumer_sdl_preview.c
  consumer_sdl_still.c
  consumer_sdl.c
  factory.c
)

file(GLOB YML "*.yml")
add_custom_target(Other_sdl_Files SOURCES
  ${YML}
)
include(GenerateExportHeader)
generate_export_header(mltsdl)
target_compile_options(mltsdl PRIVATE ${MLT_COMPILE_OPTIONS})
target_include_directories(mltsdl PRIVATE ${CMAKE_CURRENT_BINARY_DIR})
target_link_libraries(mltsdl PRIVATE mlt Threads::Threads PkgConfig::sdl)
if(NOT MSVC)
  target_link_libraries(mltsdl PRIVATE m)
endif()

if(APPLE)
  target_link_libraries(mltsdl PRIVATE objc "-framework Foundation")
elseif(UNIX)
  target_link_libraries(mltsdl PRIVATE X11)
endif()

set_target_properties(mltsdl PROPERTIES LIBRARY_OUTPUT_DIRECTORY "${MLT_MODULE_OUTPUT_DIRECTORY}")

install(TARGETS mltsdl LIBRARY DESTINATION ${MLT_INSTALL_MODULE_DIR})

install(FILES
  consumer_sdl_audio.yml
  consumer_sdl_preview.yml
  consumer_sdl_still.yml
  consumer_sdl.yml
  DESTINATION ${MLT_INSTALL_DATA_DIR}/sdl
)

=== src/modules/sdl2/CMakeLists.txt ===
add_library(mltsdl2 MODULE
  common.c
  consumer_sdl2_audio.c
  consumer_sdl2.c
  factory.c
)

file(GLOB YML "*.yml")
add_custom_target(Other_sdl2_Files SOURCES
  ${YML}
)
include(GenerateExportHeader)
generate_export_header(mltsdl2)
target_compile_options(mltsdl2 PRIVATE ${MLT_COMPILE_OPTIONS})
target_include_directories(mltsdl2 PRIVATE ${CMAKE_CURRENT_BINARY_DIR})
target_link_libraries(mltsdl2 PRIVATE mlt Threads::Threads SDL2::SDL2)
if(MSVC)
  target_link_libraries(mltsdl2 PRIVATE PThreads4W::PThreads4W)
else()
  target_link_libraries(mltsdl2 PRIVATE m)
endif()

if(MINGW)
  target_link_libraries(mltsdl2 PRIVATE ${MLT_PTHREAD_LIBS})
endif()

set_target_properties(mltsdl2 PROPERTIES LIBRARY_OUTPUT_DIRECTORY "${MLT_MODULE_OUTPUT_DIRECTORY}")

install(TARGETS mltsdl2 LIBRARY DESTINATION ${MLT_INSTALL_MODULE_DIR})

install(FILES consumer_sdl2_audio.yml consumer_sdl2.yml DESTINATION ${MLT_INSTALL_DATA_DIR}/sdl2)

=== src/modules/sox/CMakeLists.txt ===
add_library(mltsox MODULE factory.c filter_sox.c)

file(GLOB YML "*.yml")
add_custom_target(Other_sox_Files SOURCES
  ${YML}
)
include(GenerateExportHeader)
generate_export_header(mltsox)
target_compile_options(mltsox PRIVATE ${MLT_COMPILE_OPTIONS})
target_include_directories(mltsox PRIVATE ${CMAKE_CURRENT_BINARY_DIR})
target_link_libraries(mltsox PRIVATE mlt PkgConfig::sox)
if(NOT MSVC)
  target_link_libraries(mltsox PRIVATE m)
endif()

if(${sox_VERSION} GREATER 13)
    target_compile_definitions(mltsox PRIVATE SOX14)
endif()

set_target_properties(mltsox PROPERTIES LIBRARY_OUTPUT_DIRECTORY "${MLT_MODULE_OUTPUT_DIRECTORY}")

install(TARGETS mltsox LIBRARY DESTINATION ${MLT_INSTALL_MODULE_DIR})

install(FILES filter_sox_effect.yml filter_sox.yml DESTINATION ${MLT_INSTALL_DATA_DIR}/sox)

=== src/modules/spatialaudio/CMakeLists.txt ===
add_library(mltspatialaudio MODULE
    factory.c
    filter_ambisonic-decoder.cpp
    filter_ambisonic-encoder.cpp
)

file(GLOB YML "*.yml")
add_custom_target(Other_spatialaudio_Files SOURCES
  ${YML}
)
include(GenerateExportHeader)
generate_export_header(mltspatialaudio)
target_compile_options(mltspatialaudio PRIVATE ${MLT_COMPILE_OPTIONS})
target_include_directories(mltspatialaudio PRIVATE ${CMAKE_CURRENT_BINARY_DIR})
target_link_libraries(mltspatialaudio PRIVATE mlt PkgConfig::spatialaudio)

set_target_properties(mltspatialaudio PROPERTIES LIBRARY_OUTPUT_DIRECTORY "${MLT_MODULE_OUTPUT_DIRECTORY}")

install(TARGETS mltspatialaudio LIBRARY DESTINATION ${MLT_INSTALL_MODULE_DIR})

install(FILES
    filter_ambisonic-decoder.yml
    filter_ambisonic-encoder.yml
    DESTINATION ${MLT_INSTALL_DATA_DIR}/spatialaudio
)

=== debian/changelog ===
mlt (7.34.1-0zneon+24.04+noble+release+build19) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 03 Dec 2025 03:02:15 +0000

mlt (7.34.1-0neon) resolute; urgency=medium

  * Update to real tar as debian/watch incorrectly pointed to the tar from
    github git tag, and not the actual release tar..

 -- Rik Mills <rikmills@kde.org>  Wed, 05 Nov 2025 18:43:26 +0000

mlt (7.34.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (7.24.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 05 Nov 2025 18:05:06 +0000

=== debian/control ===
Source: mlt
Priority: optional
XSBC-Original-Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Build-Depends: chrpath,
               cmake,
               debhelper-compat (= 13),
               dh-python,
               ffmpeg,
               frei0r-plugins-dev,
               imagemagick,
               ladspa-sdk,
               libarchive-dev,
               libavdevice-dev,
               libavformat-dev,
               libdv4-dev,
               libebur128-dev (>= 1.2.0-2),
               libexif-dev,
               libfftw3-dev,
               libgdk-pixbuf-2.0-dev,
               libjack-dev,
               libmovit-dev,
               libopencv-dev,
               libpango1.0-dev,
               libqt5opengl5-dev,
               libqt5svg5-dev,
               libqt6core5compat6-dev,
               libqt6opengl6-dev,
               libqt6svg6-dev,
               librtaudio-dev [linux-any],
               librubberband-dev,
               libsamplerate-dev,
               libsdl2-dev,
               libsox-dev (>= 14.3.0),
               libswscale-dev,
               libvidstab-dev,
               libvorbis-dev,
               libxine2-dev,
               libxml2-dev,
               python3-dev,
               swig
Standards-Version: 4.7.2
Section: libs
Rules-Requires-Root: no
Homepage: https://www.mltframework.org
Vcs-Git: https://invent.kde.org/neon/backports-noble/mlt-noble.git
Vcs-Browser: https://invent.kde.org/neon/backports-noble/mlt-noble
Maintainer: Neon CI <neon@kde.org>

Package: libmlt-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libmlt7 (= ${binary:Version}), ${misc:Depends}
Description: multimedia framework (development)
 MLT is an open source multimedia framework, designed and developed for
 television broadcasting. It provides a toolkit for broadcasters, video
 editors, media players, transcoders, web streamers and many more types of
 applications. The functionality of the system is provided via an assortment
 of ready to use tools, xml authoring components, and an extendible plug-in
 based API.
 .
 This package contains the static libraries and headers for developing
 applications that use the MLT multimedia framework.

Package: libmlt7
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: libmlt-data (>= ${source:Version})
Description: multimedia framework (runtime)
 MLT is an open source multimedia framework, designed and developed for
 television broadcasting. It provides a toolkit for broadcasters, video
 editors, media players, transcoders, web streamers and many more types of
 applications. The functionality of the system is provided via an assortment
 of ready to use tools, xml authoring components, and an extendible plug-in
 based API.
 .
 This package contains the files necessary for running applications that
 use the MLT multimedia framework.

Package: libmlt-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Enhances: libmlt7
Description: multimedia framework (data)
 MLT is an open source multimedia framework, designed and developed for
 television broadcasting. It provides a toolkit for broadcasters, video
 editors, media players, transcoders, web streamers and many more types of
 applications. The functionality of the system is provided via an assortment
 of ready to use tools, xml authoring components, and an extendible plug-in
 based API.
 .
 This package contains the data files for the MLT multimedia framework.

Package: libmlt++-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libmlt++7 (= ${binary:Version}), ${misc:Depends}
Description: MLT multimedia framework C++ wrapper (development)
 MLT is an open source multimedia framework, designed and developed for
 television broadcasting. It provides a toolkit for broadcasters, video
 editors, media players, transcoders, web streamers and many more types of
 applications. The functionality of the system is provided via an assortment
 of ready to use tools, xml authoring components, and an extendible plug-in
 based API.
 .
 This package contains the static libraries and headers for developing
 applications that use the MLT multimedia framework C++ wrapper.

Package: libmlt++7
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: MLT multimedia framework C++ wrapper (runtime)
 MLT is an open source multimedia framework, designed and developed for
 television broadcasting. It provides a toolkit for broadcasters, video
 editors, media players, transcoders, web streamers and many more types of
 applications. The functionality of the system is provided via an assortment
 of ready to use tools, xml authoring components, and an extendible plug-in
 based API.
 .
 This package contains the files necessary for running applications that
 use the MLT multimedia framework C++ wrapper.

Package: melt
Section: utils
Architecture: any
Depends: libmlt-data (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: command line media player and video editor
 melt was meant as a test tool for the MLT framework, but it is also a powerful
 multitrack command line oriented video editor. It could also used as an
 minimalistic media player for audio and video files.

Package: python3-mlt
Architecture: any
Section: python
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Provides: ${python3:Provides}
Conflicts: python-mlt
Replaces: python-mlt
Description: multimedia framework (Python bindings)
 MLT is an open source multimedia framework, designed and developed for
 television broadcasting. It provides a toolkit for broadcasters, video
 editors, media players, transcoders, web streamers and many more types of
 applications. The functionality of the system is provided via an assortment
 of ready to use tools, xml authoring components, and an extendible plug-in
 based API.
 .
 This package contains the Python bindings for the mlt package.

=== debian/watch ===
version=4
opts="searchmode=plain" \
https://api.github.com/repos/mltframework/mlt/releases \
https://github.com/mltframework/mlt/releases/download/v\d[\.\d]*/@PACKAGE@-@ANY_VERSION@.tar.gz

## mlt 7.34.1+realtar

=== src/CMakeLists.txt ===
add_subdirectory(framework)
add_subdirectory(melt)
add_subdirectory(mlt++)
add_subdirectory(modules)

if(SWIG_FOUND)
  add_subdirectory(swig)
endif()

if(BUILD_TESTING)
  add_subdirectory(tests)
endif()

if(MSVC)
  add_subdirectory(msvc)
endif()

=== src/msvc/CMakeLists.txt ===
add_library(msvccompat STATIC libgen.c)

target_include_directories(msvccompat PUBLIC
    ${CMAKE_CURRENT_SOURCE_DIR}
)

=== src/modules/core/CMakeLists.txt ===
add_library(mltcore MODULE
  consumer_multi.c
  consumer_null.c
  factory.c
  filter_audiochannels.c
  filter_audioconvert.c
  filter_audiomap.c
  filter_audioseam.c
  filter_audiowave.c
  filter_autofade.c
  filter_box_blur.c
  filter_brightness.c
  filter_channelcopy.c
  filter_choppy.c
  filter_crop.c
  filter_fieldorder.c
  filter_gamma.c
  filter_greyscale.c
  filter_imageconvert.c
  filter_luma.c
  filter_mask_apply.c
  filter_mask_start.c
  filter_mirror.c
  filter_mono.c
  filter_obscure.c
  filter_panner.c
  filter_pillar_echo.c
  filter_rescale.c
  filter_resize.c
  filter_transition.c
  filter_watermark.c
  image_proc.c image_proc.h
  link_timeremap.c
  producer_blank.c
  producer_colour.c
  producer_consumer.c
  producer_hold.c
  producer_loader.c
  producer_melt.c
  producer_noise.c
  producer_timewarp.c
  producer_tone.c
  transition_composite.c
  transition_luma.c
  transition_matte.c
  transition_mix.c
)

file(GLOB YML "*.yml")
add_custom_target(Other_core_Files SOURCES
  ${YML}
  loader.dict
  loader.ini
)
include(GenerateExportHeader)
generate_export_header(mltcore)
target_compile_options(mltcore PRIVATE ${MLT_COMPILE_OPTIONS})

target_link_libraries(mltcore PRIVATE mlt Threads::Threads)

target_include_directories(mltcore PRIVATE ${CMAKE_CURRENT_BINARY_DIR})
if(MSVC)
  target_link_libraries(mltcore PRIVATE PThreads4W::PThreads4W)
else()
  target_link_libraries(mltcore PRIVATE m)
endif()

if(WIN32)
  target_sources(mltcore PRIVATE ../../win32/fnmatch.c)
  target_include_directories(mltcore PRIVATE ../../win32)
endif()

if(CPU_SSE)
  target_compile_definitions(mltcore PRIVATE USE_SSE)
endif()

if(CPU_X86_64)
  target_sources(mltcore PRIVATE composite_line_yuv_sse2_simple.c)
  target_compile_definitions(mltcore PRIVATE ARCH_X86_64)
endif()

set_target_properties(mltcore PROPERTIES LIBRARY_OUTPUT_DIRECTORY "${MLT_MODULE_OUTPUT_DIRECTORY}")

install(TARGETS mltcore LIBRARY DESTINATION ${MLT_INSTALL_MODULE_DIR})

install(FILES
  ${YML}
  loader.dict
  loader.ini
  DESTINATION ${MLT_INSTALL_DATA_DIR}/core
)

=== src/modules/jackrack/CMakeLists.txt ===
add_library(mltjackrack MODULE factory.c)

file(GLOB YML "*.yml")
add_custom_target(Other_jackrack_Files SOURCES
  ${YML}
)

include(GenerateExportHeader)
generate_export_header(mltjackrack)
target_compile_options(mltjackrack PRIVATE ${MLT_COMPILE_OPTIONS})

target_link_libraries(mltjackrack PRIVATE mlt Threads::Threads)
target_include_directories(mltjackrack PRIVATE ${CMAKE_CURRENT_BINARY_DIR})
if(TARGET JACK::JACK)
  target_sources(mltjackrack PRIVATE consumer_jack.c)
  target_link_libraries(mltjackrack PRIVATE JACK::JACK)
  target_compile_definitions(mltjackrack PRIVATE WITH_JACK)
  install(FILES consumer_jack.yml DESTINATION ${MLT_INSTALL_DATA_DIR}/jackrack)
endif()

if(GPL AND TARGET PkgConfig::xml AND TARGET PkgConfig::glib AND ladspa_h_FOUND)
  target_sources(mltjackrack PRIVATE
    jack_rack.c jack_rack.h
    lock_free_fifo.c lock_free_fifo.h
    plugin.c plugin.h
    plugin_desc.c plugin_desc.h
    plugin_mgr.c plugin_mgr.h
    plugin_settings.c plugin_settings.h
    process.c process.h
    producer_ladspa.c
    filter_ladspa.c
  )
  target_link_libraries(mltjackrack PRIVATE ${CMAKE_DL_LIBS} PkgConfig::xml PkgConfig::glib)
  if(NOT MSVC)
    target_link_libraries(mltjackrack PRIVATE m)
  endif()

  target_compile_definitions(mltjackrack PRIVATE GPL)
  if(RELOCATABLE)
    target_compile_definitions(mltjackrack PRIVATE RELOCATABLE)
  endif()

  install(FILES filter_jack.yml DESTINATION ${MLT_INSTALL_DATA_DIR}/jackrack)

  if(TARGET JACK::JACK)
    target_sources(mltjackrack PRIVATE filter_jackrack.c)
    install(FILES filter_jackrack.yml DESTINATION ${MLT_INSTALL_DATA_DIR}/jackrack)
  endif()
endif()

set_target_properties(mltjackrack PROPERTIES LIBRARY_OUTPUT_DIRECTORY "${MLT_MODULE_OUTPUT_DIRECTORY}")

add_library(mltladspa MODULE factory.c)


generate_export_header(mltladspa
  EXPORT_MACRO_NAME MLTLADSPA_EXPORT
)
target_compile_options(mltladspa PRIVATE ${MLT_COMPILE_OPTIONS})

target_link_libraries(mltladspa PRIVATE mlt Threads::Threads)

if(USE_LV2 AND GPL)
  target_compile_definitions(mltladspa PRIVATE WITH_LV2)
  install(FILES filter_lv2.yml producer_lv2.yml DESTINATION ${MLT_INSTALL_DATA_DIR}/jackrack)
endif()

if(USE_VST2 AND GPL)
  target_compile_definitions(mltladspa PRIVATE WITH_VST2)
  install(FILES filter_vst2.yml producer_vst2.yml DESTINATION ${MLT_INSTALL_DATA_DIR}/jackrack)
endif()

if(GPL AND TARGET PkgConfig::xml AND TARGET PkgConfig::glib AND ladspa_h_FOUND)
  target_sources(mltladspa PRIVATE
    jack_rack.c jack_rack.h
    lock_free_fifo.c lock_free_fifo.h
    plugin.c plugin.h
    plugin_desc.c plugin_desc.h
    plugin_mgr.c plugin_mgr.h
    plugin_settings.c plugin_settings.h
    process.c process.h
    producer_ladspa.c
    filter_ladspa.c
  )
  target_link_libraries(mltladspa PRIVATE ${CMAKE_DL_LIBS} PkgConfig::xml PkgConfig::glib)
  if(NOT MSVC)
    target_link_libraries(mltladspa PRIVATE m)
  endif()

  target_compile_definitions(mltladspa PRIVATE GPL)
  if(RELOCATABLE)
    target_compile_definitions(mltladspa PRIVATE RELOCATABLE)
  endif()

  install(FILES filter_ladspa.yml producer_ladspa.yml DESTINATION ${MLT_INSTALL_DATA_DIR}/jackrack)

  if(USE_LV2 AND TARGET PkgConfig::lilv)
    target_link_libraries(mltladspa PRIVATE PkgConfig::lilv)
    target_sources(mltladspa PRIVATE
      filter_lv2.c producer_lv2.c
      lv2_context.c lv2_context.h
      lv2_plugin.c lv2_plugin.h
      lv2_process.c lv2_process.h
      lv2_plugin_settings.c lv2_plugin_settings.h
      lv2_urid_helper.h)
    install(FILES filter_lv2.yml producer_lv2.yml DESTINATION ${MLT_INSTALL_DATA_DIR}/jackrack)
  endif()

  if(USE_VST2)
    target_sources(mltladspa PRIVATE
      filter_vst2.c producer_vst2.c
      vst2_context.c vst2_context.h
      vst2_plugin.c vst2_plugin.h
      vst2_process.c vst2_process.h
      vst2_plugin_settings.c vst2_plugin_settings.h
      vestige.h)
    install(FILES filter_vst2.yml producer_vst2.yml DESTINATION ${MLT_INSTALL_DATA_DIR}/jackrack)
  endif()

  target_include_directories(mltladspa PRIVATE ${CMAKE_CURRENT_BINARY_DIR})
endif()

set_target_properties(mltladspa PROPERTIES LIBRARY_OUTPUT_DIRECTORY "${MLT_MODULE_OUTPUT_DIRECTORY}")

install(TARGETS mltjackrack mltladspa LIBRARY DESTINATION ${MLT_INSTALL_MODULE_DIR})

=== src/modules/ndi/CMakeLists.txt ===
add_library(mltndi MODULE
  consumer_ndi.c
  factory.c factory.h
  producer_ndi.c
)
include(GenerateExportHeader)
generate_export_header(mltndi)
file(GLOB YML "*.yml")
add_custom_target(Other_ndi_Files SOURCES
  ${YML}
)

target_compile_options(mltndi PRIVATE ${MLT_COMPILE_OPTIONS})
target_include_directories(mltndi PRIVATE ${CMAKE_CURRENT_BINARY_DIR})
target_link_libraries(mltndi PRIVATE mlt NDI::NDI)

if(CPU_SSE)
  target_compile_definitions(mltndi PRIVATE USE_SSE)
endif()

set_target_properties(mltndi PROPERTIES LIBRARY_OUTPUT_DIRECTORY "${MLT_MODULE_OUTPUT_DIRECTORY}")

install(TARGETS mltndi LIBRARY DESTINATION ${MLT_INSTALL_MODULE_DIR})
install(FILES consumer_ndi.yml producer_ndi.yml DESTINATION ${MLT_INSTALL_DATA_DIR}/ndi)

=== src/modules/normalize/CMakeLists.txt ===
add_library(mltnormalize MODULE
  factory.c
  filter_audiolevel.c
  filter_volume.c
)

file(GLOB YML "*.yml")
add_custom_target(Other_normalize_Files SOURCES
  ${YML}
)
include(GenerateExportHeader)
generate_export_header(mltnormalize)
target_compile_options(mltnormalize PRIVATE ${MLT_COMPILE_OPTIONS})
target_include_directories(mltnormalize PRIVATE ${CMAKE_CURRENT_BINARY_DIR})
target_link_libraries(mltnormalize PRIVATE mlt)
if(NOT MSVC)
  target_link_libraries(mltnormalize PRIVATE m)
endif()

set_target_properties(mltnormalize PROPERTIES LIBRARY_OUTPUT_DIRECTORY "${MLT_MODULE_OUTPUT_DIRECTORY}")

install(TARGETS mltnormalize LIBRARY DESTINATION ${MLT_INSTALL_MODULE_DIR})

install(FILES
  filter_audiolevel.yml
  filter_volume.yml
  DESTINATION ${MLT_INSTALL_DATA_DIR}/normalize
)

=== src/modules/opencv/CMakeLists.txt ===
add_library(mltopencv MODULE factory.c filter_opencv_tracker.cpp)

file(GLOB YML "*.yml")
add_custom_target(Other_opencv_Files SOURCES
  ${YML}
)
include(GenerateExportHeader)
generate_export_header(mltopencv)
target_compile_options(mltopencv PRIVATE ${MLT_COMPILE_OPTIONS})
target_include_directories(mltopencv PRIVATE ${CMAKE_CURRENT_BINARY_DIR})
target_link_libraries(mltopencv PRIVATE mlt ${OpenCV_LIBS})

set_target_properties(mltopencv PROPERTIES LIBRARY_OUTPUT_DIRECTORY "${MLT_MODULE_OUTPUT_DIRECTORY}")

install(TARGETS mltopencv LIBRARY DESTINATION ${MLT_INSTALL_MODULE_DIR})
install(FILES filter_opencv_tracker.yml DESTINATION ${MLT_INSTALL_DATA_DIR}/opencv)

=== src/swig/lua/CMakeLists.txt ===
set_source_files_properties(../mlt.i PROPERTIES USE_TARGET_INCLUDE_DIRECTORIES ON CPLUSPLUS ON)

swig_add_library(mltlua LANGUAGE lua SOURCES ../mlt.i)
target_compile_options(mltlua PRIVATE ${MLT_COMPILE_OPTIONS})
target_link_libraries(mltlua PRIVATE mlt mlt++)
target_include_directories(mltlua PRIVATE ${LUA_INCLUDE_DIR})
set_target_properties(mltlua PROPERTIES OUTPUT_NAME "mlt")
set_target_properties(mltlua PROPERTIES LIBRARY_OUTPUT_DIRECTORY "${CMAKE_LIBRARY_OUTPUT_DIRECTORY}/lua")

=== src/swig/nodejs/CMakeLists.txt ===
set_source_files_properties(../mlt.i PROPERTIES USE_TARGET_INCLUDE_DIRECTORIES ON CPLUSPLUS ON)

swig_add_library(mltnodejs LANGUAGE javascript SOURCES ../mlt.i)
target_compile_options(mltnodejs PRIVATE ${MLT_COMPILE_OPTIONS})
target_link_libraries(mltnodejs PRIVATE mlt mlt++)
target_include_directories(mltnodejs PRIVATE ${NODEJS_INCLUDE_DIRS})
set_target_properties(mltnodejs PROPERTIES LIBRARY_OUTPUT_DIRECTORY "${CMAKE_LIBRARY_OUTPUT_DIRECTORY}/nodejs")

set_target_properties(mltnodejs PROPERTIES
  OUTPUT_NAME "mlt"
  SWIG_COMPILE_OPTIONS -node
)

=== debian/changelog ===
mlt (7.34.1+realtar-0ubuntu1) resolute; urgency=medium

  * Update to real tar as debian/watch incorrectly pointed to the tar from
    github git tag, and not the actual release tar..

 -- Rik Mills <rikmills@kde.org>  Wed, 05 Nov 2025 18:43:26 +0000

=== debian/control ===
--- 
+++ 
@@ -1,56 +1,55 @@
 Source: mlt
 Priority: optional
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Patrick Matthäi <pmatthaei@debian.org>
-Build-Depends: chrpath,
-               cmake,
-               debhelper-compat (= 13),
-               dh-python,
-               ffmpeg,
-               frei0r-plugins-dev,
-               imagemagick,
-               ladspa-sdk,
-               libarchive-dev,
-               libavdevice-dev,
-               libavformat-dev,
-               libdv4-dev,
-               libebur128-dev (>= 1.2.0-2),
-               libexif-dev,
-               libfftw3-dev,
-               libgdk-pixbuf-2.0-dev,
-               libjack-dev,
-               libmovit-dev,
-               libopencv-dev,
-               libpango1.0-dev,
-               libqt5opengl5-dev,
-               libqt5svg5-dev,
-               libqt6core5compat6-dev,
-               libqt6opengl6-dev,
-               libqt6svg6-dev,
-               librtaudio-dev [linux-any],
-               librubberband-dev,
-               libsamplerate-dev,
-               libsdl2-dev,
-               libsox-dev (>= 14.3.0),
-               libswscale-dev,
-               libvidstab-dev,
-               libvorbis-dev,
-               libxine2-dev,
-               libxml2-dev,
-               python3-dev,
-               swig
+Build-Depends: debhelper-compat (= 13),
+ chrpath,
+ cmake,
+ dh-python,
+ ffmpeg,
+ frei0r-plugins-dev,
+ imagemagick,
+ ladspa-sdk,
+ libarchive-dev,
+ libavdevice-dev,
+ libavformat-dev,
+ libdv4-dev,
+ libebur128-dev (>= 1.2.0-2),
+ libexif-dev,
+ libfftw3-dev,
+ libgdk-pixbuf-2.0-dev,
+ libjack-dev,
+ libmovit-dev,
+ libopencv-dev,
+ libpango1.0-dev,
+ libqt5opengl5-dev,
+ libqt6opengl6-dev,
+ libqt6core5compat6-dev,
+ libqt5svg5-dev,
+ libqt6svg6-dev,
+ librtaudio-dev [linux-any],
+ librubberband-dev,
+ libsamplerate-dev,
+ libsdl2-dev,
+ libsox-dev (>= 14.3.0),
+ libswscale-dev,
+ libvidstab-dev,
+ libvorbis-dev,
+ libxine2-dev,
+ libxml2-dev,
+ python3-dev,
+ swig
 Standards-Version: 4.7.2
 Section: libs
 Rules-Requires-Root: no
 Homepage: https://www.mltframework.org
-Vcs-Git: https://invent.kde.org/neon/backports-noble/mlt-noble.git
-Vcs-Browser: https://invent.kde.org/neon/backports-noble/mlt-noble
-Maintainer: Neon CI <neon@kde.org>
 
 Package: libmlt-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libmlt7 (= ${binary:Version}), ${misc:Depends}
+Depends: ${misc:Depends},
+ libmlt7 (= ${binary:Version})
 Description: multimedia framework (development)
  MLT is an open source multimedia framework, designed and developed for
  television broadcasting. It provides a toolkit for broadcasters, video
@@ -65,7 +64,8 @@
 Package: libmlt7
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${shlibs:Depends},
+ ${misc:Depends}
 Recommends: libmlt-data (>= ${source:Version})
 Description: multimedia framework (runtime)
  MLT is an open source multimedia framework, designed and developed for
@@ -97,7 +97,8 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libmlt++7 (= ${binary:Version}), ${misc:Depends}
+Depends: libmlt++7 (= ${binary:Version}),
+ ${misc:Depends}
 Description: MLT multimedia framework C++ wrapper (development)
  MLT is an open source multimedia framework, designed and developed for
  television broadcasting. It provides a toolkit for broadcasters, video
@@ -112,7 +113,8 @@
 Package: libmlt++7
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${shlibs:Depends},
+ ${misc:Depends}
 Description: MLT multimedia framework C++ wrapper (runtime)
  MLT is an open source multimedia framework, designed and developed for
  television broadcasting. It provides a toolkit for broadcasters, video
@@ -127,7 +129,9 @@
 Package: melt
 Section: utils
 Architecture: any
-Depends: libmlt-data (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: ${shlibs:Depends},
+ ${misc:Depends},
+ libmlt-data (>= ${source:Version})
 Description: command line media player and video editor
  melt was meant as a test tool for the MLT framework, but it is also a powerful
  multitrack command line oriented video editor. It could also used as an
@@ -136,7 +140,9 @@
 Package: python3-mlt
 Architecture: any
 Section: python
-Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
+Depends: ${shlibs:Depends},
+ ${misc:Depends},
+ ${python3:Depends}
 Provides: ${python3:Provides}
 Conflicts: python-mlt
 Replaces: python-mlt
